@font-face {
    font-family: Quicksand;
    src:url('../webfonts/Quicksand.ttf') format('truetype');
    font-weight:normal;
    font-style:normal;
}

@media only screen and (max-width: 1080px) {
    :root {
        --width: 100%;
    }
}
@media only screen and (min-width: 1081px) {
    :root {
        --width: 500px;
    }
}

a {
    color: inherit; /* blue colors for links too */
    text-decoration: inherit; /* no underline */
}

body{
    max-width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    margin-top: 20px;
    background-color: #f1f1f1;
    position: relative;
    display: flex;

}

.landing{
    max-width: var(--width);
    /* background-color: #ffffff; */
    overflow: hidden;
    position: relative;
    border: 0px solid #FFF;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
}
/* ---------------- Styles total ------------------------------ */
.section{
    display: flex;
    position: relative;
    overflow: hidden;
    width: 100%;
    flex-direction: column;
    /* max-width: 600px; */
}

/* ---------------- Styles component 1 ------------------------------ */

.section-1{
    display: flex;
    position: relative;
}

.logo-head{
    max-width: var(--width);
    display: flex;
    position: fixed;
    align-items: center;
    top: 10;
    z-index: 100;
}

.background-hidden{
    height: 50px;
    width: 100%;
    background-color: #f1f1f1;
    z-index: 10;
    position: absolute;
    top: -30px;
}

#logo-head{
    width: 100%;
    overflow: hidden;
    border-radius: inherit;
    border: 0px solid #FFF;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    z-index: 100;
}

.button-open-card{
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    right: 20px;
    margin-bottom: 15px;
    z-index: 100;
}

.bkg-title-open{
    width: 100%;
    border: 0px solid #FFF;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    /* display: flex; */
    /* position: relative; */
}
#banner-open-bkg-comp, #banner-section2, #banner-section3, #banner-section4, #banner-section5{
    width: 100%;
    overflow: hidden;
    border-radius: inherit;
}
#top-btn-click-open-card{
    position: absolute;
    right: 5%; 
    top: 50%;
    width: fit-content;
    max-width: 200px;
}
/* ---------------- Css button center ------------------------------ */

.btn-body-open-card{
    display: flex;
    position: absolute;
    right: 5%; 
    top: 50%;
    width: fit-content;
    max-width: calc(var(--width)/3);
}

.button-click-open-mid {
    display: inline-block;
    padding: 12px;
    border: 1px solid #ffffff;
    background-color: #fae41e;
    font-family: Quicksand;
    font-weight: bold;
    color: #0c6eb0;
    border-radius: 4px;
    transition: all 0.2s ease-in;
    position: relative;
    overflow: hidden;
    font-size: 16px;
    cursor: pointer;
    z-index: 1;
  }
  
  .button-click-open-mid:before {
    content: "";
    position: absolute;
    left: 50%;
    transform: translateX(-50%) scaleY(1) scaleX(1.25);
    top: 100%;
    width: 140%;
    height: 180%;
    background-color: rgba(0, 0, 0, 0.05);
    border-radius: 50%;
    display: block;
    transition: all 0.5s 0.1s cubic-bezier(0.55, 0, 0.1, 1);
    z-index: -1;
  }
  
  .button-click-open-mid:after {
    content: "";
    position: absolute;
    left: 55%;
    transform: translateX(-50%) scaleY(1) scaleX(1.45);
    top: 180%;
    width: 160%;
    height: 190%;
    background-color: #0c6eb0;
    border-radius: 50%;
    display: block;
    transition: all 0.5s 0.1s cubic-bezier(0.55, 0, 0.1, 1);
    z-index: -1;
  }
  
  .button-click-open-mid:hover {
    color: #ffffff;
    border: 1px solid #0c6eb0;
  }
  
  .button-click-open-mid:hover:before {
    top: -35%;
    background-color: #0c6eb0;
    transform: translateX(-50%) scaleY(1.3) scaleX(0.8);
  }
  
  .button-click-open-mid:hover:after {
    top: -45%;
    background-color: #0c6eb0;
    transform: translateX(-50%) scaleY(1.3) scaleX(0.8);
  }
  
/* ---------------- Styles component child------------------------------ */

.section-child{
    display: flex;
    position: relative;
}

.content-section-child{
    text-align: justify;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 32px;
    background-color: rgba(255, 255, 255, 0.5);
    padding: 30px;
    position: relative;
    left: -50%;
    line-height: 38px;
    border-radius: 30px;
    overflow: hidden;
    text-shadow: -1px -1px 0 #fff, 1px -1px 0 #fff, -1px 1px 0 #fff, 1px 1px 0 #fff;
}

.f-content-section-child{
    position: absolute;
    z-index: 90;
    justify-content: center;
    align-items: center;
    left: 50%;
}

.icon-content-child{
    margin: 0 auto;
    text-align: center;
    margin-bottom: 10px;
}


/* ---------------- Styles component 2------------------------------ */
.section-2{
    margin-top: 30px;
}
.f-content-section2{
    width: 80%;
    bottom: 30px;
}
.content-section2{
    color: #000080;
}

/* ---------------- Styles component 3 ------------------------------ */

.f-content-section3{
    width: 90%;
    top: 40%;
}
.content-section3{
    color: #910b79;
}

/* ---------------- Styles component 4 ------------------------------ */

.f-content-section4{
    width: 90%;
    top: 40%;
}
.content-section4{
    color: #910b79;
}

/* -----------------Styles prioritize */
.title-prioritize-section{
    font-family: Quicksand;
    font-size: 50px;
    margin: 30px;
    font-weight: bold;
    background: linear-gradient(red, blue);
    -webkit-background-clip: text;
            background-clip: text;
    -webkit-text-fill-color: transparent;
}

/* --------------Procomp 1 */

.pri-comp{
    width: 100%;
    height: auto;
    padding: 10px;
    border-radius: 30px;
    position: relative;
    display: flex;
    flex-direction: column;
    background-color: #ffffff;
    border: 1px solid rgba(0, 0, 0, 0.05);
    padding-bottom: 30px;
}

.icon-prio{
    font-size: 100px;
    color: #ff7200;
    margin-left: 30px;
    line-height: 180px;
}

.content-prio{
    font-family: Quicksand;
    font-size: 35px;
    font-weight: bold;
    margin-left: 30px;
    background: linear-gradient( #ff7200, #fef08d);
    -webkit-background-clip: text;
            background-clip: text;
    -webkit-text-fill-color: transparent;
}

.prio-plus-icon{
    color: #ff7200;
    font-size: 30px;
    text-align: center;
    margin-top: 10px;
}
.icon-plus-prio:hover{
    color: #3946ee;
    transform: scale(1.2);
}
/* --------------Procomp 2 */
.pri-comp2{
    width: 100%;
    height: auto;
    padding: 10px;
    border-radius: 30px;
    position: relative;
    display: flex;
    flex-direction: column;
    background-color: #ffffff;
    border: 1px solid rgba(0, 0, 0, 0.05);
    padding-bottom: 30px;
    margin-top: 30px;
    margin-bottom: 30px;
}
/*  ---------------- Styles section 8 */
.section-8{
    flex-direction: column;
}
.btn-send-footer{
    position: absolute;
    bottom: 30%;
    left: 50%;
}
/* ---------------- Styles button bottom */
.button-send-footer {
left: -50%;
--red: red;
font-size: 20px;
padding: 0.7em 20px;
letter-spacing: 0.06em;
position: relative;
font-family: inherit;
border-radius: 0.6em;
overflow: hidden;
transition: all 0.3s;
line-height: 1.4em;
border: 2px solid var(--red);
background: linear-gradient(to right, rgba(253, 27, 76, 0.1) 1%, transparent 40%,transparent 60% , rgba(253, 27, 84, 0.1) 100%);
color: var(--red);
box-shadow: inset 0 0 10px rgba(252, 29, 114, 0.4), 0 0 9px 3px rgba(253, 27, 65, 0.1);
font-weight: bold;
}

.button-send-footer:hover {
color: #1100ff;
box-shadow: inset 0 0 10px rgba(27, 189, 253, 0.6), 0 0 9px 3px rgba(27, 125, 253, 0.2);
border-color: #1100ff
}

.button-send-footer:before {
content: "";
position: absolute;
left: -4em;
width: 4em;
height: 100%;
top: 0;
transition: transform .4s ease-in-out;
background: linear-gradient(to right, transparent 1%, rgba(27, 68, 253, 0.1) 40%,rgba(61, 27, 253, 0.1) 60% , transparent 100%);
}

.button-send-footer:hover:before {
transform: translateX(15em);
}

/* ---------------Styles modal */
/* Modal program */
.modal-points{
    max-width: var(--width);
    padding: 10px;
}
.close-modal-program{
    padding: 10px;
    display: flex;
    
}

.body-modal-points{
    padding: 10px;
}

.title-program-top{
    font-size: 35px;
    font-family: Quicksand;
    font-weight: bold;
}

.body-content-program{
    font-size: 22px;
    font-family: Quicksand;
}

.footer-modal-program{
    background-image: linear-gradient(to right, orangered , yellow);
    display: flex !important;
    flex-direction: row !important;
}

.title-program-footer{
    color: blue;
    font-family: Quicksand;
    font-size: 20px;
    font-weight: bold;
    text-align: justify;
    line-height: 25px;
}

.button-click-form-success{
    display: flex;
    justify-content: center;
    align-items: center;
}

.btn-open-card-in-modal{
    padding: 10px 20px;
    border: none;
    font-size: 17px;
    color: #000;
    border-radius: 7px;
    transition: 0.5s;
    transition-property: box-shadow;
}
.btn-open-card-in-modal {
    background: rgb(0, 238, 255);
    box-shadow: 0 0 25px rgb(0, 238, 255);
  }
  
  .btn-open-card-in-modal:hover {
    box-shadow: 0 0 5px rgb(0, 238, 255),
                0 0 25px rgb(0, 238, 255),
                0 0 50px rgb(0, 238, 255),
                0 0 100px rgb(0, 238, 255);
  }

/* Modal success */
.modal-open-card-bs{
    max-width: var(--width);
    padding: 20px;
    margin: 0 auto;
}
.body-modal-open-card{
    padding: 0 !important;
    border-radius: 20px !important;
}
.modal-open-card{
    padding: 0 !important;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    min-height: 100%;
    background-color: #b3e2f6;
}

.title-modal-open{
    margin: 20px;
    font-size: 26px;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    text-align: left;
    font-weight: bold;
    background: linear-gradient(#232767, #f89209);
    -webkit-background-clip: text;
            background-clip: text;
    -webkit-text-fill-color: transparent;
}

.range-icon-image{
    float: right;
}
.image-modal{
    display: flex;
    position: relative;
    text-align:right;
}

.image-ai-modal{
    max-width:100%;
    height: auto;
    object-fit: cover;
    vertical-align:top;
}

.content-modal-form{
    display: flex;
    position: relative;
    justify-content: center;
    align-items: center;
    margin-bottom: 30px;
    width: 80%;
    margin: 0 auto;
}

.form-upload-info{
    margin: 0 auto;
    font-family: Quicksand;
    font-weight: bold;
    width: 100%;
}
.title-name-regis{
    font-size: 16px;
    font-style: italic;
    margin-bottom: 5px;
    color: #232767
}

.input-range{
    display: flex;
    width: 100%;
    padding: 8px;
    margin: 0;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    -o-box-sizing: border-box;
    -ms-box-sizing: border-box;
    box-sizing: border-box;
    border: none;
    border: 1px solid #f1f1f1;
    border-radius: 10px;
    font-family: Quicksand;
    font-size: 16px;
    /* font-weight: bold; */
    color: #232767;
    line-height: 28px;
    background-color: rgba(255, 255, 255, 0.5);
    margin-bottom: 15px;
}

.input-range:focus{
    outline: none;
    border: none;
    border: 1px solid #232767;
}

.tick-accept{
    margin-top: 15px;
    display: flex;
    align-items: left;
    padding-left: 10px;
}

input[type=checkbox]{
    transform: scale(1.2) !important;
}
.tick-box-accept{
    bottom: 0;
    margin-right: 15px;
    margin-top: 5px;
}

.content-tick-accept{
    font-size: 15px;
    font-family: Quicksand;
    color: #000;
    font-weight: normal;
}

.warranty{
    font-weight: bold;
    color: blue;
    text-decoration: underline;
}
        /* Styles alert  */
.alert-submit{
    color: red;
    font-style: italic;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: lighter;
    font-size: 15px;
    margin-top: 10px;
    margin-left: 5px;
}
.button-action-modal{
    margin-bottom: 30px;
    margin-top: 50px;
}


/* -=---------------------  Styles button success */
#button-success {
    font-family: inherit;
    font-size: 20px;
    background: #ff7200;
    color: white;
    padding: 0.7em 1em;
    padding-left: 0.9em;
    display: flex;
    align-items: center;
    border: none;
    border-radius: 16px;
    overflow: hidden;
    transition: all 0.2s;
    cursor: pointer;
}

#button-success:hover{
    border: 1px solid #0c6eb0;
}
  
#button-success span {
    display: block;
    margin-left: 0.3em;
    transition: all 0.3s ease-in-out;
}
  
#button-success svg {
    display: block;
    transform-origin: center center;
    transition: transform 0.3s ease-in-out;
}

#button-success:hover .svg-wrapper {
animation: fly-1 0.6s ease-in-out infinite alternate;
}

#button-success:hover svg {
transform: translateX(1.2em) rotate(45deg) scale(1.1);
}

#button-success:hover span {
transform: translateX(5.1em);
}

#button-success:active {
transform: scale(0.95);
}

@keyframes fly-1 {
from {
    transform: translateY(0.1em);
}

to {
    transform: translateY(-0.1em);
}
}

/* Loading Page CSS */

.loader-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 150px;
    flex-direction: column;
}
.title-loading{
    position: relative;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 20px;
    font-weight: bold;
    color: #fff;
    text-align: center;
}
.modal-content-loading{
    background: none !important;
    border: none !important;
}
.bouncing-dots {
    display: flex;
    justify-content: space-between;
    width: 60px;
    position: relative;
    margin-top: 30px;
}

.dot {
    width: 15px;
    height: 15px;
    background-color: #FF5C35;
    border-radius: 50%;
    animation: bounce 1.5s infinite;
}

.dot:nth-child(1) {
    animation-delay: 0s;
}

.dot:nth-child(2) {
    animation-delay: 0.3s;
}

.dot:nth-child(3) {
    animation-delay: 0.6s;
}

@keyframes bounce {
    0%, 100% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-20px);
    }
}
/* End */